Modify

Opened 3 weeks ago

Closed 3 weeks ago

Last modified 6 days ago

#19753 closed defect (fixed)

Shortcut error

Reported by: anonymous Owned by: simon04
Priority: normal Milestone: 20.08
Component: Core Version: tested
Keywords: template_report keyboard shortcut Cc:

Description (last modified by skyper)

What steps will reproduce the problem?

  1. set edit: copy tag= Ctrl+Shift+C
  2. restart JOSM
  3. click the object and perform Ctrl+Shift+C
  4. error come up

What is the expected result?

copy tag

What happens instead?

error page come up

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2020-07-30 12:44:04 +0200 (Thu, 30 Jul 2020)
Build-Date:2020-07-31 01:30:49
Revision:16812
Relative:URL: ^/trunk

Identification: JOSM/1.5 (16812 en_GB) Windows 7 64-Bit
OS Build number: Windows 7 Professional (7601)
Memory Usage: 779 MB / 1820 MB (523 MB allocated, but free)
Java version: 1.8.0_261-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.sun.java.swing.plaf.windows.WindowsLookAndFeel
Screen: \Display0 1280x1024 (scaling 1.0x1.0)
Maximum Screen Size: 1280x1024
Best cursor sizes: 16x16 -> 32x32, 32x32 -> 32x32
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=%<user.name>Profile%\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\56\1ee8cfb8-34020f52, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=NULL,2048m, -Djnlpx.splashport=49806, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found

Plugins:
+ FastDraw (35499)
+ buildings_tools (35500)
+ contourmerge (v0.1.6)
+ gridify (1588746833)
+ measurement (35405)
+ splinex (35454)
+ utilsplugin2 (35487)

Last errors/warnings:
- E: Handled by bug report queue: java.lang.NullPointerException
- E: Handled by bug report queue: java.lang.NullPointerException


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (60) of javawsApplicationThreadGroup
java.lang.NullPointerException
	at org.openstreetmap.josm.gui.history.TagInfoViewer.lambda$buildTable$3(TagInfoViewer.java:82)
	at org.openstreetmap.josm.gui.dialogs.properties.AbstractCopyAction.valueStream(AbstractCopyAction.java:45)
	at org.openstreetmap.josm.gui.dialogs.properties.AbstractCopyAction.actionPerformed(AbstractCopyAction.java:57)
	at javax.swing.SwingUtilities.notifyAction(Unknown Source)
	at javax.swing.JComponent.processKeyBinding(Unknown Source)
	at javax.swing.KeyboardManager.fireBinding(Unknown Source)
	at javax.swing.KeyboardManager.fireKeyboardAction(Unknown Source)
	at javax.swing.JComponent.processKeyBindingsForAllComponents(Unknown Source)
	at javax.swing.JComponent.processKeyBindings(Unknown Source)
	at javax.swing.JComponent.processKeyEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.KeyboardFocusManager.redispatchEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchKeyEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.preDispatchKeyEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (0)

Change History (5)

comment:1 Changed 3 weeks ago by skyper

Description: modified (diff)
Keywords: keyboard shortcut added
Version: latesttested

comment:2 Changed 3 weeks ago by simon04

Milestone: 20.08
Owner: changed from team to simon04
Status: newassigned

To reproduce:

  1. Assign shortcut Edit: Copy Tags Ctrl+Shift+C
  2. Open history for w123 (any object)
  3. Draw node
  4. Press Ctrl+Shift+C

Caused by the following shortcut re-assignment:

2020-09-03 22:02:53.262 INFO: Keystroke shift ctrl alt pressed C is already assigned to org.openstreetmap.josm.gui.dialogs.properties.CopyAllKeyValueAction@34863679, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.CopyAllKeyValueAction@56e4576c
2020-09-03 22:02:53.265 INFO: Keystroke shift ctrl alt pressed C is already assigned to org.openstreetmap.josm.gui.dialogs.properties.CopyAllKeyValueAction@56e4576c, will be overridden by org.openstreetmap.josm.gui.dialogs.properties.CopyAllKeyValueAction@74ba4fd0

comment:3 Changed 3 weeks ago by simon04

Resolution: fixed
Status: assignedclosed

In 17007/josm:

fix #19753 - NPE in CopyAllKeyValueAction due to shortcut re-assignment

comment:4 Changed 3 weeks ago by simon04

Summary: Short cut errorShortcut error

comment:5 Changed 6 days ago by Klumbumbus

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain simon04.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.